All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
util.hpp File Reference

Utility functions. More...

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.
| viennacl::linalg::detail
| Namespace holding implementation details for linear algebra routines. Usually not of interest for a library user.

## Functions

template<class T >
T | viennacl::linalg::detail::min (const T &lhs, const T &rhs)
| Minimum. More...
template<class T >
T | viennacl::linalg::detail::max (const T &lhs, const T &rhs)
| Maximum. More...
float | viennacl::linalg::detail::sign_f (const float &val)
| Sign of number (float) More...
double | viennacl::linalg::detail::sign_d (const double &val)
| Sign of number (double) More...
unsigned int | viennacl::linalg::detail::getNumBlocksLinear (const unsigned int num_threads, const unsigned int num_threads_block)

## Detailed Description

Utility functions.

Implementation based on the sample provided with the CUDA 6.0 SDK, for which the creation of derivative works is allowed by including the following statement: "This software contains source code provided by NVIDIA Corporation."

Definition in file util.hpp.